import type { NextPage } from 'next'
import Head from 'next/head'
import Link from 'next/link'
import { useAuthContext } from '@m3o/auth'
import { Layout } from '@/components/Layout'

const Home: NextPage = () => {
  const { user } = useAuthContext()

  return (
    <>
      <Head>
        <title>Test M3O Auth</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <Layout>
        <div className="container">
          <Link href="/sign-up">
            <a>Sign up</a>
          </Link>
          {user && <p data-testid="logged-in-email">{user.email}</p>}
        </div>
      </Layout>
    </>
  )
}

export default Home
